Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Few questions regarding SAP Dependencies when creating new SC

Hello,

When creating new Software Component one must always add these dependencies:

SAP J2EE ENGINE <Release>

SAP BUILD TOOL <Release>

SAP JAVA TECH SERVICES <Release>

I have few questions regarding that:

1. In my system I have JDI BUILD TOOL instead of SAP BUILD TOOL and when I import it everything is working OK. Am I doing something wrong here and why can't I see SAP BUILD TOOL?

2. When I filter for SAP J2EE ENGINE and SAP JAVA TECH SERVICES I have two options: 6.40 and 7.00 but when I filter for JDI BUILD TOOL I only have 6.40. What does it mean and why don't I have JDI BUILD TOOL 7.00 as well? After all, I always upgraded the JDI as a whole.

3. When I choose these three objects do they must all be at the same version?

4. What happen when later SAP will upgrade these SCs? Will I need to go over each SC I have created and manually define the new dependencies for it?

Thank you in advance,

Roy

Former Member
Not what you were looking for? View more on this topic or Ask a question